image: docker:20.10.17-git

services:
  - docker:20.10.17-dind

variables:
  CI_PATH: registry.gitlab.com/$CI_PROJECT_PATH
  DOCKER_DRIVER: overlay2

before_script:
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
  - git checkout-index --all --prefix umask-fix-checkout/
  - cd umask-fix-checkout
  - docker buildx create --use

stages:
  - build


build:
  stage: build
  script:
    - ./dev-bin/docker-build $CI_COMMIT_REF_NAME $CI_PATH
